﻿Imports System.ComponentModel

Public Class SensorReading
	Implements INotifyPropertyChanged

#Region "Reading Property"
	Private _reading As Double
	Public Property Reading As Double
		Get
			Return _reading
		End Get

		Set(ByVal value As Double)
			_reading = value
			OnPropertyChanged("Reading")
		End Set
	End Property

#End Region

#Region "Timestamp Property"
	Private _timestamp As DateTime

	Public Property Timestamp As DateTime
		Get
			Return _timestamp
		End Get
		Set(ByVal value As DateTime)
			_timestamp = value
			OnPropertyChanged("Timestamp")
		End Set
	End Property
#End Region

#Region "INotifyPropertyChanged Members"
	Public Event PropertyChanged As PropertyChangedEventHandler Implements INotifyPropertyChanged.PropertyChanged

	Private Sub OnPropertyChanged(ByVal prop As String)
		RaiseEvent PropertyChanged(Me, New PropertyChangedEventArgs(prop))
	End Sub
#End Region

End Class
